import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { DefaultParams } from '../../domain/types/default-params.type';
import { IProvideParams } from '../../domain/interfaces/params-provider.interface';

@Injectable()
export class DefaultParamsProvider implements IProvideParams {
  constructor(private readonly configService: ConfigService) {}

  getParams = (): DefaultParams => {
    return {
      DEFAULT_TIMEZONE: this.configService.get('DEFAULT_TIMEZONE'),
      GEOROUTER_TYPE: this.configService.get('GEOROUTER_TYPE'),
      GEOROUTER_URL: this.configService.get('GEOROUTER_URL'),
    };
  };
}
