import { AutoMap } from '@automapper/classes';
import { Frequency } from '../types/frequency.enum';

export class Ad {
  @AutoMap()
  uuid: string;

  @AutoMap()
  userUuid: string;

  @AutoMap()
  driver: boolean;

  @AutoMap()
  passenger: boolean;

  @AutoMap()
  frequency: Frequency;

  @AutoMap()
  fromDate: Date;

  @AutoMap()
  toDate: Date;

  @AutoMap()
  monTime: Date;

  @AutoMap()
  tueTime: Date;

  @AutoMap()
  wedTime: Date;

  @AutoMap()
  thuTime: Date;

  @AutoMap()
  friTime: Date;

  @AutoMap()
  satTime: Date;

  @AutoMap()
  sunTime: Date;

  @AutoMap()
  monMargin: number;

  @AutoMap()
  tueMargin: number;

  @AutoMap()
  wedMargin: number;

  @AutoMap()
  thuMargin: number;

  @AutoMap()
  friMargin: number;

  @AutoMap()
  satMargin: number;

  @AutoMap()
  sunMargin: number;

  @AutoMap()
  driverDuration?: number;

  @AutoMap()
  driverDistance?: number;

  @AutoMap()
  passengerDuration?: number;

  @AutoMap()
  passengerDistance?: number;

  @AutoMap()
  waypoints: string;

  @AutoMap()
  direction: string;

  @AutoMap()
  fwdAzimuth: number;

  @AutoMap()
  backAzimuth: number;

  @AutoMap()
  seatsDriver: number;

  @AutoMap()
  seatsPassenger: number;

  @AutoMap()
  seatsUsed: number;

  @AutoMap()
  strict: boolean;

  @AutoMap()
  createdAt: Date;

  @AutoMap()
  updatedAt: Date;
}
