import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { IDefaultParams } from '../../domain/types/default-params.type';

@Injectable()
export class DefaultParamsProvider {
  constructor(private readonly configService: ConfigService) {}

  getParams = (): IDefaultParams => {
    return {
      DEFAULT_UUID: this.configService.get('DEFAULT_UUID'),
      MARGIN_DURATION: parseInt(this.configService.get('MARGIN_DURATION')),
      VALIDITY_DURATION: parseInt(this.configService.get('VALIDITY_DURATION')),
      DEFAULT_TIMEZONE: this.configService.get('DEFAULT_TIMEZONE'),
      DEFAULT_SEATS: parseInt(this.configService.get('DEFAULT_SEATS')),
      DEFAULT_ALGORITHM_SETTINGS: {
        ALGORITHM: this.configService.get('ALGORITHM'),
        STRICT: !!parseInt(this.configService.get('STRICT_ALGORITHM')),
        REMOTENESS: parseInt(this.configService.get('REMOTENESS')),
        USE_PROPORTION: !!parseInt(this.configService.get('USE_PROPORTION')),
        PROPORTION: parseInt(this.configService.get('PROPORTION')),
        USE_AZIMUTH: !!parseInt(this.configService.get('USE_AZIMUTH')),
        AZIMUTH_MARGIN: parseInt(this.configService.get('AZIMUTH_MARGIN')),
        MAX_DETOUR_DISTANCE_RATIO: parseFloat(
          this.configService.get('MAX_DETOUR_DISTANCE_RATIO'),
        ),
        MAX_DETOUR_DURATION_RATIO: parseFloat(
          this.configService.get('MAX_DETOUR_DURATION_RATIO'),
        ),
        GEOROUTER_TYPE: this.configService.get('GEOROUTER_TYPE'),
        GEOROUTER_URL: this.configService.get('GEOROUTER_URL'),
      },
    };
  };
}
