import { Route } from '../../../../geography/domain/entities/route';
import { IGeodesic } from '../../../../geography/domain/interfaces/geodesic.interface';
import { Waypoint } from './waypoint';

export class MatcherRoute extends Route {
  waypoints: Waypoint[];

  constructor(geodesic: IGeodesic) {
    super(geodesic);
  }

  setWaypoints = (waypoints: Waypoint[]): void => {
    this.waypoints = waypoints;
    this.setAzimuth(waypoints.map((waypoint) => waypoint.point));
  };
}
