import { Frequency } from '@modules/ad/core/domain/ad.types';
import { Command, CommandProps } from '@mobicoop/ddd-library';
import { ScheduleItem } from '../../types/schedule-item.type';
import { Waypoint } from '../../types/waypoint.type';

export class CreateAdCommand extends Command {
  readonly id: string;
  readonly driver: boolean;
  readonly passenger: boolean;
  readonly frequency: Frequency;
  readonly fromDate: string;
  readonly toDate: string;
  readonly schedule: ScheduleItem[];
  readonly seatsProposed: number;
  readonly seatsRequested: number;
  readonly strict: boolean;
  readonly waypoints: Waypoint[];

  constructor(props: CommandProps<CreateAdCommand>) {
    super(props);
    this.id = props.id;
    this.driver = props.driver;
    this.passenger = props.passenger;
    this.frequency = props.frequency;
    this.fromDate = props.fromDate;
    this.toDate = props.toDate;
    this.schedule = props.schedule;
    this.seatsProposed = props.seatsProposed;
    this.seatsRequested = props.seatsRequested;
    this.strict = props.strict;
    this.waypoints = props.waypoints;
  }
}
