import { Frequency } from '@modules/ad/core/domain/ad.types';

export type Ad = {
  id: string;
  userId: string;
  driver: boolean;
  passenger: boolean;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: ScheduleItem[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  waypoints: Waypoint[];
};

export type ScheduleItem = {
  day: number;
  time: string;
  margin: number;
};

export type Waypoint = {
  position: number;
  name?: string;
  houseNumber?: string;
  street?: string;
  locality?: string;
  postalCode?: string;
  country: string;
  lon: number;
  lat: number;
};
